Bug 1485720 (golang-github-linuxdeepin-go-x11-client) - Review Request: golang-github-linuxdeepin-go-x11-client - A X11 client Go bindings for Deepin Desktop Environment
Summary: Review Request: golang-github-linuxdeepin-go-x11-client - A X11 client Go bin...
Keywords:
Status: CLOSED RAWHIDE
Alias: golang-github-linuxdeepin-go-x11-client
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2017-08-27 16:05 UTC by sensor.wen
Modified: 2018-07-22 13:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:29:31 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2017-08-27 16:33:51 UTC
Hello,

The summary is wrong: "A fork" Please describe what this does succinctly.

There is absolutely no license indicated anywhere, how do you even know it's GPLv3? Please query upstream about adding a license file. In any case, I can't accept this without any proof of the license. It's not even specified in the debian/copyright file.

You must own the following directory:
     /usr/share/gocode/src/github.com/linuxdeepin/go-x11-client/util,
     /usr/share/gocode/src/github.com/linuxdeepin/go-x11-client/util/wm,
     /usr/share/gocode/src/github.com/linuxdeepin/go-x11-client/ext

with:

%dir %{gopath}/src/%{import_path}/util
%dir %{gopath}/src/%{import_path}/util/wm
%dir %{gopath}/src/%{import_path}/ext

Comment 3 Robert-André Mauchin 🐧 2017-08-28 13:12:08 UTC
You bypassed test by adding ||: , why is that? The tests do not fail even without it.

%if ! 0%{?gotest:1}
%global gotest go test
%endif

%gotest %{import_path}



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 44 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/golang-github-
     linuxdeepin-go-x11-client/review-golang-github-linuxdeepin-
     go-x11-client/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gocode/src/github.com/linuxdeepin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode/src/github.com/linuxdeepin, /usr/share/gocode,
     /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-linuxdeepin-go-x11-client-devel , golang-github-linuxdeepin-
     go-x11-client-unit-test-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-linuxdeepin-go-x11-client-devel-0-0.1.git7a984cd.fc26.noarch.rpm
          golang-github-linuxdeepin-go-x11-client-unit-test-devel-0-0.1.git7a984cd.fc26.noarch.rpm
          golang-github-linuxdeepin-go-x11-client-0-0.1.git7a984cd.fc26.src.rpm
golang-github-linuxdeepin-go-x11-client-unit-test-devel.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 5 Robert-André Mauchin 🐧 2017-08-28 15:39:07 UTC
All good, package accepted.

Comment 6 Gwyn Ciesla 2017-08-28 18:45:54 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-linuxdeepin-go-x11-client

Comment 7 Fedora Update System 2017-10-09 15:06:39 UTC
golang-github-linuxdeepin-go-x11-client-0-0.1.git7a984cd.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a3c4106dde

Comment 8 Fedora Update System 2017-10-11 06:27:13 UTC
golang-github-linuxdeepin-go-x11-client-0-0.1.git7a984cd.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a3c4106dde

Comment 9 Zamir SUN 2018-07-22 13:29:31 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.